#
# spec file for package copy-agent
#
# Copyright (c) 2013-2015 Mariusz Fik <fisiu@opensuse.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           copy-agent
Version:        3.2.01.0481
Release:        2.1
Summary:        Copy.com sync agent
License:        NON-OSI-COMPLIANT (binary only)
Group:          Productivity/Archiving/Backup
Url:            http://www.copy.com/
Source0:        https://copy.com/install/linux/Copy.tgz
Source1:        copy-agent.desktop
Source2:        copy-agent.png
Source3:        CopyAgent
BuildRequires:  update-desktop-files
ExclusiveArch:  %ix86 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Copy is the easiest way to store, protect and share amazing things. It keeps
your computers in sync and your files available from anywhere, even on your
mobile devices. With Copy, you can also easily share files with anyone publicly
or privately. Copy for companies extends the cloud storage and sharing benefits
into corporate environments with user and group management and added control of
proprietary company data.

%package gnome
Summary:        Gnome extension for Copy.com sync agent
Group:          Productivity/Archiving/Backup
Requires:       %{name}

%description gnome
Copy is the easiest way to store, protect and share amazing things. It keeps
your computers in sync and your files available from anywhere, even on your
mobile devices. With Copy, you can also easily share files with anyone publicly
or privately. Copy for companies extends the cloud storage and sharing benefits
into corporate environments with user and group management and added control of
proprietary company data.

This package provides an extension for nautilus.

%package mate
Summary:        Mate extension for Copy.com sync agent
Group:          Productivity/Archiving/Backup
Requires:       %{name}

%description mate
Copy is the easiest way to store, protect and share amazing things. It keeps
your computers in sync and your files available from anywhere, even on your
mobile devices. With Copy, you can also easily share files with anyone publicly
or privately. Copy for companies extends the cloud storage and sharing benefits
into corporate environments with user and group management and added control of
proprietary company data.

This package provides an extension for caja.

%prep
%setup -q -n copy

%build
# nothing to build

%install
# icon and application startup script
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/copy-agent.png
install -D -m 755 %{SOURCE3} %{buildroot}%{_bindir}/CopyAgent
sed -i "s|_libdir|%{_libdir}|g" %{buildroot}%{_bindir}/CopyAgent

# application files
%ifarch %ix86
ARCH="x86"
%endif
%ifarch x86_64
ARCH="x86_64"
%endif
%ifarch %arm
ARCH="armv6h"
%endif

pushd $ARCH
install -D -m 755 CopyAgent %{buildroot}%{_libdir}/CopyAgent/CopyAgent
install -D -m 755 CopyCmd %{buildroot}%{_libdir}/CopyAgent/CopyCmd
install -D -m 755 CopyConsole %{buildroot}%{_libdir}/CopyAgent/CopyConsole
install -D -m 755 libAgentSync.so %{buildroot}%{_libdir}/CopyAgent/libAgentSync.so
install -D -m 755 libBrt.so %{buildroot}%{_libdir}/CopyAgent/libBrt.so
install -D -m 755 libCloudSync.so %{buildroot}%{_libdir}/CopyAgent/libCloudSync.so
install -D -m 755 libGui.so %{buildroot}%{_libdir}/CopyAgent/libGui.so
install -D -m 644 ca-bundle.crt %{buildroot}%{_libdir}/CopyAgent/ca-bundle.crt

# for nautilus, Gnome file manager
install -D -m 755 libnautilus-copy.so %{buildroot}%{_libdir}/nautilus/extensions-3.0/libnautilus-copy.so
# for caja, Mate file manager
install -D -m 755 libcaja-copy.so %{buildroot}%{_libdir}/caja/extensions-2.0/libcaja-copy.so

%suse_update_desktop_file -i %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%attr(755,root,root) %{_bindir}/CopyAgent
%{_datadir}/applications/copy-agent.desktop
%{_datadir}/pixmaps/copy-agent.png
%{_libdir}/CopyAgent/

%files gnome
%defattr(-,root,root)
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-3.0
%{_libdir}/nautilus/extensions-3.0/libnautilus-copy.so

%files mate
%defattr(-,root,root)
%dir %{_libdir}/caja
%dir %{_libdir}/caja/extensions-2.0
%{_libdir}/caja/extensions-2.0/libcaja-copy.so

%changelog
* Thu May 28 2015 fisiu@opensuse.org
- Update to 3.2.01.0481.
* Mon Feb 23 2015 fisiu@opensuse.org
- Update to 1.48.0456.
* Mon Oct 27 2014 fisiu@opensuse.org
- Update to 1.47.0410.
* Sat May 24 2014 fisiu@opensuse.org
- Update to 1.43.0319.
* Tue Apr 15 2014 tittiatcoke@gmail.com
- Update to 1.43.0290.
* Fri Feb  7 2014 fisiu@opensuse.org
- Update to 1.42.0277.
* Tue Jan  7 2014 fisiu@opensuse.org
- Update to 1.41.0253.
* Thu Dec 12 2013 fisiu@opensuse.org
- Update to 1.40.0196.
* Sat Sep 21 2013 fisiu@opensuse.org
- Update to 1.37.0546.
* Tue Sep 17 2013 rwooninck@opensuse.org
- Update to 1.36.0538.
- Moved to separate directory /usr/lib{64}/CopyAgent to prevent
  issues with the installed certificate.
* Thu Aug  1 2013 fisiu@opensuse.org
- Update to 1.34.0508.
* Fri Jul 19 2013 fisiu@opensuse.org
- Update to 1.33.0486.
* Mon Jun 10 2013 fisiu@opensuse.org
- Update to 1.30.0347.
* Sun Jun  9 2013 fisiu@opensuse.org
- Update to 1.30.0335.
* Tue Jun  4 2013 fisiu@opensuse.org
- Update to 1.30.0314.
* Sun Apr 14 2013 fisiu@opensuse.org
- Initial package.
